curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 19017,
"resource": "invoice",
"number": "VP-R-2026-000042",
"kind": "periodic",
"status": "sent",
"serviceMonth": "2026-10",
"servicePeriodStart": "2026-10-01",
"servicePeriodEnd": "2026-10-31",
"cancelsInvoiceId": null,
"cancelledByInvoiceId": null,
"issueDate": "2026-11-02",
"dueDate": "2026-11-16",
"collectionMethod": "sepa-debit",
"collectionDate": "2026-11-16",
"netAmount": {
"value": 128000,
"label": "€1,280.00"
},
"taxAmount": {
"value": 24320,
"label": "€243.20"
},
"grossAmount": {
"value": 152320,
"label": "€1,523.20"
},
"amountPaid": {
"value": 0,
"label": "€0.00"
},
"amountCancelled": {
"value": 0,
"label": "€0.00"
},
"amountDue": {
"value": 152320,
"label": "€1,523.20"
},
"taxTreatment": "domestic",
"taxBreakdown": [
{
"category": "standard",
"rate": "19.00",
"netAmount": {
"value": 128000,
"label": "€1,280.00"
},
"taxAmount": {
"value": 24320,
"label": "€243.20"
}
}
],
"paymentInstructions": {
"type": "sepa-debit",
"mandateReference": "EXAMPLE-MANDATE-REF",
"creditorId": "DE00ZZZ00000000000",
"ibanLast4": "3000",
"collectionDate": "2026-11-16"
},
"lineCount": 6,
"eInvoiceFormat": "zugferd-en16931",
"language": "de",
"dunningLevel": "none",
"sentAt": "2026-11-02T07:05:12Z",
"paidAt": null,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017",
"type": "application/json"
},
"lines": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017/lines",
"type": "application/json"
},
"document": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017/document?format=pdf",
"type": "application/json"
}
}
}
}Get an invoice
Returns one finalised invoice with totals, tax breakdown, the printed payment instructions and the current collection plan. See the billing guide.
Required permissions: view-consumer-billing · API keys: allowed
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 19017,
"resource": "invoice",
"number": "VP-R-2026-000042",
"kind": "periodic",
"status": "sent",
"serviceMonth": "2026-10",
"servicePeriodStart": "2026-10-01",
"servicePeriodEnd": "2026-10-31",
"cancelsInvoiceId": null,
"cancelledByInvoiceId": null,
"issueDate": "2026-11-02",
"dueDate": "2026-11-16",
"collectionMethod": "sepa-debit",
"collectionDate": "2026-11-16",
"netAmount": {
"value": 128000,
"label": "€1,280.00"
},
"taxAmount": {
"value": 24320,
"label": "€243.20"
},
"grossAmount": {
"value": 152320,
"label": "€1,523.20"
},
"amountPaid": {
"value": 0,
"label": "€0.00"
},
"amountCancelled": {
"value": 0,
"label": "€0.00"
},
"amountDue": {
"value": 152320,
"label": "€1,523.20"
},
"taxTreatment": "domestic",
"taxBreakdown": [
{
"category": "standard",
"rate": "19.00",
"netAmount": {
"value": 128000,
"label": "€1,280.00"
},
"taxAmount": {
"value": 24320,
"label": "€243.20"
}
}
],
"paymentInstructions": {
"type": "sepa-debit",
"mandateReference": "EXAMPLE-MANDATE-REF",
"creditorId": "DE00ZZZ00000000000",
"ibanLast4": "3000",
"collectionDate": "2026-11-16"
},
"lineCount": 6,
"eInvoiceFormat": "zugferd-en16931",
"language": "de",
"dunningLevel": "none",
"sentAt": "2026-11-02T07:05:12Z",
"paidAt": null,
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017",
"type": "application/json"
},
"lines": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017/lines",
"type": "application/json"
},
"document": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017/document?format=pdf",
"type": "application/json"
}
}
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Id of the invoice. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
0 <= x <= 18446744073709552000Response
OK
Single-object envelope around a Invoice.
An invoice (consumer view), including Stornorechnungen (kind: cancellation). Finalised invoices are never edited or deleted; a wrong invoice is cancelled with a Stornorechnung and, where needed, replaced by a corrected invoice.
Show child attributes
Show child attributes